str = "I am a leaf on the wind..."
# A string is interpreted literally, not as a regex
arr = str.scan("a")        # ["a","a","a"]

# A regex will return all matches
arr = str.scan(/\w+/)      # ["I", "am", "a", "leaf", "on", "the", "wind"]

# A block can be specified
str.scan(/\w+/) {|x| puts x }

